enum NUIWebErrors{
  NO_INTERNET_CONNECTION
}

extension NUIWebErrorsExtension on NUIWebErrors {
  String get message {
    switch (this) {
      case NUIWebErrors.NO_INTERNET_CONNECTION:
        return 'No internet connection';
      default:
        return 'Unknown error';
    }
  }

  int get code {
    switch (this) {
      case NUIWebErrors.NO_INTERNET_CONNECTION:
        return 1001;
      default:
        return 1000;
    }
  }
}